# DAGetRefinementFactor

Gets the ratios that the DA grid is refined

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetRefinementFactor(DA da, PetscInt *refine_x, PetscInt *refine_y,PetscInt *refine_z)

Not Collective

### Input Parameter

da -the DA object

### Output Parameters

| refine_x | - ratio of fine grid to coarse in x direction (2 by default)
| refine_y | - ratio of fine grid to coarse in y direction (2 by default)
| refine_z | - ratio of fine grid to coarse in z direction (2 by default)

Notes: Pass PETSC_NULL for values you do not need

### See Also

DARefine(), DASetRefinementFactor()

Level:intermediate
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages